from globals import *
from math import fabs
from screen import scr

def sum_tuple(a, b):
	return (a[0] + b[0], a[1] + b[1])

def is_far_pp(p1, p2):
	return is_far_tt( (p1[0] / TILEX, p1[1] / TILEY), (p2[0] / TILEX, p2[1] / TILEY) )
	
def is_far_tp(t, p):
	return is_far_tt(t, (p[0] / TILEX, p[1] / TILEY) )

def is_far_tt(t1, t2):
	mt1 = (t1[0] % scr.map.size[0], t1[1] % scr.map.size[1])
	mt2 = (t2[0] % scr.map.size[0], t2[1] % scr.map.size[1])
	xdist = fabs(mt1[0] - mt2[0])
	ydist = fabs(mt1[1] - mt2[1])
	if xdist > (scr.map.size[0] / 2):
		xdist = scr.map.size[0] - xdist
	if ydist > (scr.map.size[1] / 2):
		ydist = scr.map.size[1] - ydist
	return xdist > NUMTILESX or ydist > NUMTILESY

#~ def is_far_tt_db(t1, t2):
	#~ print t1, t2
	#~ mt1 = (t1[0] % scr.map.size[0], t1[1] % scr.map.size[1])
	#~ mt2 = (t2[0] % scr.map.size[0], t2[1] % scr.map.size[1])
	#~ xdist = fabs(mt1[0] - mt2[0])
	#~ ydist = fabs(mt1[1] - mt2[1])
	#~ if xdist > (scr.map.size[0] / 2):
		#~ xdist = scr.map.size[0] - xdist
	#~ if ydist > (scr.map.size[1] / 2):
		#~ ydist = scr.map.size[1] - ydist
	#~ print xdist, ydist
	#~ return xdist > NUMTILESX * 0.75 or ydist > NUMTILESY * 0.75